Loading...
Searching...
No Matches
boxing.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::BooleanTag
struct | jni::CharacterTag
struct | jni::NumberTag
struct | jni::ByteTag
struct | jni::ShortTag
struct | jni::IntegerTag
struct | jni::LongTag
struct | jni::FloatTag
struct | jni::DoubleTag
struct | jni::PrimitiveTypeBoxer< Tag, Unboxed >
struct | jni::Boxer< jboolean >
struct | jni::Boxer< jbyte >
struct | jni::Boxer< jchar >
struct | jni::Boxer< jshort >
struct | jni::Boxer< jint >
struct | jni::Boxer< jlong >
struct | jni::Boxer< jfloat >
struct | jni::Boxer< jdouble >
struct | jni::PrimitiveTypeUnboxer< Tag, Unboxed >
struct | jni::Unboxer< BooleanTag >
struct | jni::Unboxer< ByteTag >
struct | jni::Unboxer< CharacterTag >
struct | jni::Unboxer< ShortTag >
struct | jni::Unboxer< IntegerTag >
struct | jni::Unboxer< LongTag >
struct | jni::Unboxer< FloatTag >
struct | jni::Unboxer< DoubleTag >
struct | jni::Boxer< jni::Object< Tag > >
struct | jni::Unboxer< Tag >

## Namespaces

namespace | jni

## Typedefs

using | jni::Boolean = Object<BooleanTag>
using | jni::Character = Object<CharacterTag>
using | jni::Number = Object<NumberTag>
using | jni::Byte = Object<ByteTag>
using | jni::Short = Object<ShortTag>
using | jni::Integer = Object<IntegerTag>
using | jni::Long = Object<LongTag>
using | jni::Float = Object<FloatTag>
using | jni::Double = Object<DoubleTag>

## Functions

template<class Unboxed>
decltype(auto) | jni::Box (JNIEnv &env, Unboxed &&unboxed)
template<class T>
decltype(auto) | jni::Unbox (JNIEnv &env, const T &boxed)